Holger's Java API

## com.antelmann.util.gui
Class SplashScreen

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  com.antelmann.util.gui.SplashScreen

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class SplashScreen

extends Window

for use as a splash screen. sample usage (first line in your application): `SplashScreen.splash().disposeAfter(3000)`. As of JDK1.6 this class is subject to deprecation, but as they are still some uses of this (as it can programmatically create splash screens), it stays for now. java.awt.SplashScreen in JDK1.6 doesn't fully replace the functionality of this class.

Since:
  11/10/2004
Author:
  Holger Antelmann
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SplashScreen()`
`SplashScreen(Image image)`
`SplashScreen(URL imageURL)`
`SplashScreen(Window owner)`
`SplashScreen(Window owner, Image image)`
`SplashScreen(Window owner, Image image, boolean closeOnClick)`

Method Summary
`void` `dispose()`
`void` `disposeAfter(int millis)`
`static boolean` `disposeIfAvailable()`
`void` `disposeOnAncestorAdded(JComponent nextComponent)`
`void` `disposeOnOpen(Window nextScreen)`
`static SplashScreen` `getCurrent()` returns the current (non-disposed) SplashScreen - if available
`static Image` `getDefaultImage()`
`void` `paint(Graphics g)`
`SplashScreen` `setCloseOnClick(boolean flag)` already true by default
`static SplashScreen` `splash()`
`static SplashScreen` `splash(Image image)`
`static SplashScreen` `splash(String url)` may return null on a malformed url
`static SplashScreen` `splash(URL url)`
`static SplashScreen` `splash(Window owner)`
`static SplashScreen` `splash(Window owner, Image image)`

Methods inherited from class java.awt.Window

`addNotify, addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SplashScreen

    public SplashScreen()

### SplashScreen

    public SplashScreen(Window owner)

### SplashScreen

    public SplashScreen(URL imageURL)

### SplashScreen

    public SplashScreen(Image image)

### SplashScreen

    public SplashScreen(Window owner,
                        Image image)

### SplashScreen

    public SplashScreen(Window owner,
                        Image image,
                        boolean closeOnClick)

Method Detail

### paint

    public void paint(Graphics g)

  Overrides:
    `paint` in class `Window`

### setCloseOnClick

    public SplashScreen setCloseOnClick(boolean flag)

  already true by default

### getDefaultImage

    public static Image getDefaultImage()

### splash

    public static SplashScreen splash()

### splash

    public static SplashScreen splash(String url)

  may return null on a malformed url

### getCurrent

    public static SplashScreen getCurrent()

  returns the current (non-disposed) SplashScreen - if available

### disposeIfAvailable

    public static boolean disposeIfAvailable()

### splash

    public static SplashScreen splash(URL url)

### splash

    public static SplashScreen splash(Window owner)

### splash

    public static SplashScreen splash(Image image)

### splash

    public static SplashScreen splash(Window owner,
                                      Image image)

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `Window`

### disposeAfter

    public void disposeAfter(int millis)

### disposeOnAncestorAdded

    public void disposeOnAncestorAdded(JComponent nextComponent)

### disposeOnOpen

    public void disposeOnOpen(Window nextScreen)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads